ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InetServDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<InetServ>
      - - ru.bitel.bgbilling.modules.inet.api.server.bean.InetServDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class InetServDao
      extends ru.bitel.common.dao.AbstractIdDao<InetServ>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetServDao(java.sql.Connection con, int mid)`
    `InetServDao(java.sql.Connection con, int mid, int userId)` Deprecated.
    `InetServDao(DefaultServerSetup setup, java.sql.Connection con, int mid, int userId)` Deprecated. Использовать InetServDao( Connection con, int mid )

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteForContract(int contractId)`
    `InetServ` | `get(java.util.Date time, java.lang.String login)` Deprecated.
    `InetServ` | `get(java.lang.String login)` Deprecated.
    `protected InetServ` | `getById(int id)`
    `InetServ` | `getFromRS(java.sql.ResultSet rs)`
    `static InetServ` | `getInetServFromRS(java.sql.ResultSet rs, boolean contractLoad, boolean typeAndDeviceLoad)`
    `int` | `lastNumericLogin(int max)` Возвращает последний (наибольший) цифровой логин
    `java.util.List<InetServ>` | `list(int contractId)` Получение списка сервисов договора.
    `java.util.List<InetServ>` | `list(int deviceState, java.util.Date dateFrom, java.util.Date dateTo)` Выбор всех сервисов указанного deviceState с периодом, пересекающимся с указанным.
    `java.util.List<InetServ>` | `list(int contractId, java.lang.String orderBy)` Получение списка сервисов договора с возможностью задания сортировки.
    `java.util.List<InetServ>` | `list(java.util.Set<java.lang.Integer> servIds)`
    `java.util.List<InetServ>` | `list(java.util.Set<java.lang.Integer> deviceIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> contractIds)` Список сервисов для заданных устройств , пересекающих заданные даты и принадлежащие заданным договорам ( если contractIds null или пустое, то для всех договоров)
    `java.util.List<InetServ>` | `list(java.lang.String login, java.util.Date dateFrom, java.util.Date dateTo)`
    `java.util.List<InetServ>` | `listByWrongIpResourceIds(java.util.Date date, Page page)`
    `java.util.List<InetServ>` | `listChildren(int parentId)`
    `java.util.List<InetServ>` | `listDevice(int deviceId)` Получить список серв. по заданному id устройства
    `java.util.List<InetServ>` | `listRuntime(int deviceId, java.util.Set<java.lang.Integer> servIds, java.util.Set<java.lang.Integer> contractIds)` Получение списка сервисов для runtime.
    `java.util.List<InetServ>` | `listToCancel(java.util.Date now)`
    `java.util.List<InetServ>` | `listToCreate(java.util.Date now)`
    `java.util.List<InetServ>` | `searchInetServ(java.lang.String login, IpRange address, int serviceTypeId, int vlan, java.lang.String name, java.lang.String identifier, java.lang.String macAddress, boolean loginStrictCheck)`
    `InetServ` | `tree(int contractId)`
    `void` | `updateDeviceStateAndOptions(int inetServId, short state, java.util.Set<java.lang.Integer> inetOptions, int accessCode)`
    `void` | `updateIdentifier(int inetServId, java.util.List<java.lang.String> identifierList)`
    `protected void` | `updateImpl(InetServ b)`
    `void` | `updateIpResource(int inetServId, int ipResource, int ipResourceSubscriptionId)`
    `void` | `updateMacAddress(int inetServId, byte[] macAddress)` Обновление MAC-адреса сервиса

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServDao

          public InetServDao(java.sql.Connection con,
                             int mid)

    - #### InetServDao

          @Deprecated
          public InetServDao(DefaultServerSetup setup,
                                         java.sql.Connection con,
                                         int mid,
                                         int userId)

      Deprecated. Использовать InetServDao( Connection con, int mid )

    - #### InetServDao

          @Deprecated
          public InetServDao(java.sql.Connection con,
                                         int mid,
                                         int userId)

      Deprecated.

  - ### Method Detail

    - #### getInetServFromRS

          public static InetServ getInetServFromRS(java.sql.ResultSet rs,
                                                   boolean contractLoad,
                                                   boolean typeAndDeviceLoad)
                                            throws java.sql.SQLException,
                                                   ru.bitel.bgbilling.common.BGException

      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          public InetServ getFromRS(java.sql.ResultSet rs)
                             throws java.sql.SQLException,
                                    ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<InetServ>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getById

          protected InetServ getById(int id)
                              throws ru.bitel.bgbilling.common.BGException,
                                     java.sql.SQLException

      Overrides:
        `getById` in class `ru.bitel.common.dao.AbstractDao<InetServ>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### updateImpl

          protected void updateImpl(InetServ b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<InetServ>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### list

          public java.util.List<InetServ> list(java.util.Set<java.lang.Integer> servIds)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listRuntime

          public java.util.List<InetServ> listRuntime(int deviceId,
                                                      java.util.Set<java.lang.Integer> servIds,
                                                      java.util.Set<java.lang.Integer> contractIds)
                                               throws ru.bitel.bgbilling.common.BGException

      Получение списка сервисов для runtime. Отсортированы по parentId.
      Parameters:
        `deviceId` -
        `servIds` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<InetServ> list(int contractId)
                                        throws ru.bitel.bgbilling.common.BGException

      Получение списка сервисов договора.
      Parameters:
        `contractId` - код договора.
      Returns:
        список сервисов.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<InetServ> list(int contractId,
                                               java.lang.String orderBy)
                                        throws ru.bitel.bgbilling.common.BGException

      Получение списка сервисов договора с возможностью задания сортировки.
      Parameters:
        `contractId` - код договора
        `orderBy` - выражение, подтавляемое после order by
      Returns:
        список сервисов договора.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### tree

          public InetServ tree(int contractId)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<InetServ> list(java.lang.String login,
                                               java.util.Date dateFrom,
                                               java.util.Date dateTo)
                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<InetServ> list(java.util.Set<java.lang.Integer> deviceIds,
                                               java.util.Date dateFrom,
                                               java.util.Date dateTo,
                                               java.util.Set<java.lang.Integer> contractIds)
                                        throws ru.bitel.bgbilling.common.BGException

      Список сервисов для заданных устройств , пересекающих заданные даты и принадлежащие заданным договорам ( если contractIds null или пустое, то для всех договоров)
      Parameters:
        `deviceIds` -
        `dateFrom` -
        `dateTo` -
        `contractIds` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          @Deprecated
          public InetServ get(java.util.Date time,
                                          java.lang.String login)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          @Deprecated
          public InetServ get(java.lang.String login)
                                   throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateDeviceStateAndOptions

          public void updateDeviceStateAndOptions(int inetServId,
                                                  short state,
                                                  java.util.Set<java.lang.Integer> inetOptions,
                                                  int accessCode)
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateIpResource

          public void updateIpResource(int inetServId,
                                       int ipResource,
                                       int ipResourceSubscriptionId)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### lastNumericLogin

          public int lastNumericLogin(int max)
                               throws ru.bitel.bgbilling.common.BGException

      Возвращает последний (наибольший) цифровой логин
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### list

          public java.util.List<InetServ> list(int deviceState,
                                               java.util.Date dateFrom,
                                               java.util.Date dateTo)
                                        throws ru.bitel.bgbilling.common.BGException

      Выбор всех сервисов указанного deviceState с периодом, пересекающимся с указанным.
      Parameters:
        `deviceState` -
        `dateFrom` -
        `dateTo` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listToCreate

          public java.util.List<InetServ> listToCreate(java.util.Date now)
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listToCancel

          public java.util.List<InetServ> listToCancel(java.util.Date now)
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteForContract

          public void deleteForContract(int contractId)
                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchInetServ

          public java.util.List<InetServ> searchInetServ(java.lang.String login,
                                                         IpRange address,
                                                         int serviceTypeId,
                                                         int vlan,
                                                         java.lang.String name,
                                                         java.lang.String identifier,
                                                         java.lang.String macAddress,
                                                         boolean loginStrictCheck)
                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listDevice

          public java.util.List<InetServ> listDevice(int deviceId)
                                              throws ru.bitel.bgbilling.common.BGException

      Получить список серв. по заданному id устройства
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listChildren

          public java.util.List<InetServ> listChildren(int parentId)
                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateMacAddress

          public void updateMacAddress(int inetServId,
                                       byte[] macAddress)
                                throws ru.bitel.bgbilling.common.BGException

      Обновление MAC-адреса сервиса
      Parameters:
        `inetServId` -
        `macAddress` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateIdentifier

          public void updateIdentifier(int inetServId,
                                       java.util.List<java.lang.String> identifierList)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### listByWrongIpResourceIds

          public java.util.List<InetServ> listByWrongIpResourceIds(java.util.Date date,
                                                                   Page page)
                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`